Bug 735678 - [abrt] xfce-utils-4.8.2-1.fc15: Perl_save_vptr: Process /usr/bin/perl was killed by signal 11 (SIGSEGV)
Summary: [abrt] xfce-utils-4.8.2-1.fc15: Perl_save_vptr: Process /usr/bin/perl was kil...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce-utils
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:db75ab1ddb405d388137c4facf6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-04 22:01 UTC by John Reiser
Modified: 2012-08-07 19:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:55:20 UTC


Attachments (Terms of Use)

Description John Reiser 2011-09-04 22:01:07 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/bin/perl -w /usr/lib64/xfce4/xfconf-migration/xfconf-migration-4.6.pl
comment:        Boot to graphical multiuser Gnome3 desktop. Log in.
component:      xfce-utils
crash_function: Perl_save_vptr
executable:     /usr/bin/perl
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        xfce-utils-4.8.2-1.fc15
reason:         Process /usr/bin/perl was killed by signal 11 (SIGSEGV)
time:           Sun Sep  4 14:54:25 2011
uid:            500
username:       jreiser

backtrace:
:warning: core file may not match specified executable file.
:[New LWP 1687]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/bin/perl -w /usr/lib64/xfce4/xfconf-migration/xfconf-migration-4.6.pl'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x00007f735d6f6543 in Perl_save_vptr (my_perl=0x219b010, ptr=0x619b1f8) at scope.c:444
:444	scope.c: No such file or directory.
:	in scope.c
:
:Thread 1 (Thread 0x7f735db8a720 (LWP 1687)):
:#0  0x00007f735d6f6543 in Perl_save_vptr (my_perl=0x219b010, ptr=0x619b1f8) at scope.c:444
:No locals.
:#1  0x00007f735d6fef87 in Perl_pp_mapwhile (my_perl=0x219b010) at pp_ctl.c:1138
:        src = <optimized out>
:        sp = 0x21a09d8
:        gimme = <optimized out>
:        items = <optimized out>
:        count = <optimized out>
:        shift = <optimized out>
:        src = <optimized out>
:        dst = <optimized out>
:#2  0x00007f735d6c24c0 in Perl_runops_standard (my_perl=0x219b010) at run.c:40
:No locals.
:#3  0x00007f735d6663b3 in Perl_call_sv (my_perl=0x219b010, sv=0x22aa338, flags=14) at perl.c:2609
:        sp = <optimized out>
:        myop = {op_next = 0x0, op_sibling = 0x0, op_ppaddr = 0, op_targ = 0, op_type = 0, op_opt = 0, op_latefree = 0, op_latefreed = 0, op_attached = 0, op_spare = 0, op_flags = 66 'B', op_private = 0 '\000', op_first = 0x0, op_other = 0x7fff64de5a10}
:        method_op = {op_next = 0x5, op_sibling = 0x5, op_ppaddr = 0x22a6c68, op_targ = 140133445577472, op_type = 48, op_opt = 0, op_latefree = 0, op_latefreed = 0, op_attached = 0, op_spare = 0, op_flags = 0 '\000', op_private = 0 '\000', op_first = 0x219b010}
:        oldmark = 0
:        retval = 0
:        oldscope = 17
:        oldcatch = 0 '\000'
:        ret = <optimized out>
:        oldop = 0x0
:        cur_env = {je_prev = 0x7fff64de5af0, je_buf = {{__jmpbuf = {140734885681680, -5744871010549551339, 0, 35260800, 36348584, 35417456, 5744574047842283285, 5665705186745200405}, __mask_was_saved = 0, __saved_mask = {__val = {140734885681984, 140734885681760, 12701873063122251541, 0, 35260800, 36348584, 36356640, 5744574047840186133, 5665705186745200405, 0, 36383056, 6, 80, 36356640, 0, 0}}}}, je_ret = 0, je_mustcatch = 0 '\000'}
:#4  0x00007f735d6669ed in Perl_call_list (my_perl=0x219b010, oldscope=15, paramList=0x22aa1e8) at perl.c:4604
:        atsv = <optimized out>
:        oldline = 25
:        cv = 0x22aa338
:        len = 36348728
:        ret = <optimized out>
:        cur_env = {je_prev = 0x7fff64de5f50, je_buf = {{__jmpbuf = {15, -5744871122859380971, 36348584, 36348728, 36348584, 35417456, 5744574047852769045, 5665705187009179413}, __mask_was_saved = 0, __saved_mask = {__val = {0, 35237904, 0, 140133465324937, 4, 35237904, 36348920, 36309888, 0, 36348584, 35417456, 35237904, 36348920, 36309888, 0, 15}}}}, je_ret = 0, je_mustcatch = 0 '\000'}
:#5  0x00007f735d6517b9 in S_process_special_blocks (my_perl=0x219b010, fullname=<optimized out>, gv=0x22aa2a8, cv=0x22aa338) at op.c:5960
:        oldscope = 15
:        colon = <optimized out>
:        name = <optimized out>
:#6  0x00007f735d65e3d1 in Perl_newATTRSUB (my_perl=0x219b010, floor=359, o=<optimized out>, proto=<optimized out>, attrs=0x0, block=0x22b32b0) at op.c:5931
:        gv = 0x22aa2a8
:        ps = <optimized out>
:        ps_len = 140133445582101
:        cv = 0x22aa338
:        const_sv = <optimized out>
:        gv_fetch_flags = <optimized out>
:        name = 0x21c6d70 "BEGIN"
:        has_name = 1 '\001'
:#7  0x00007f735d65ea84 in Perl_utilize (my_perl=0x219b010, aver=<optimized out>, floor=359, version=<optimized out>, idop=0x22b2eb0, arg=<optimized out>) at op.c:3986
:        pack = <optimized out>
:        imop = <optimized out>
:        veop = <optimized out>
:#8  0x00007f735d68eae0 in Perl_yyparse (my_perl=0x219b010) at perly.y:674
:        yystate = <optimized out>
:        yyn = 82
:        yyresult = <optimized out>
:        yytoken = 14
:        parser = 0x22af010
:        ps = 0x22af348
:        yyval = <optimized out>
:#9  0x00007f735d6f9b98 in S_doeval (my_perl=0x219b010, gimme=2, startop=0x0, outside=<optimized out>, seq=320) at pp_ctl.c:3112
:        sp = <optimized out>
:        saveop = 0x21e8c60
:#10 0x00007f735d704f84 in Perl_pp_require (my_perl=0x219b010) at pp_ctl.c:3690
:        sp = <optimized out>
:        cx = 0x21a0f70
:        sv = 0x223a670
:        name = <optimized out>
:        len = 13
:        unixname = <optimized out>
:        unixlen = 13
:        tryname = <optimized out>
:        namesv = 0x22aa0f8
:        gimme = 2
:        filter_has_file = <optimized out>
:        tryrsfp = <optimized out>
:        filter_cache = <optimized out>
:        filter_state = <optimized out>
:        filter_sub = <optimized out>
:        hook_sv = <optimized out>
:        encoding = 0x0
:        op = <optimized out>
:#11 0x00007f735d6c24c0 in Perl_runops_standard (my_perl=0x219b010) at run.c:40
:No locals.
:#12 0x00007f735d6663b3 in Perl_call_sv (my_perl=0x219b010, sv=0x21c6920, flags=14) at perl.c:2609
:        sp = <optimized out>
:        myop = {op_next = 0x0, op_sibling = 0x0, op_ppaddr = 0, op_targ = 0, op_type = 0, op_opt = 0, op_latefree = 0, op_latefreed = 0, op_attached = 0, op_spare = 0, op_flags = 66 'B', op_private = 0 '\000', op_first = 0x0, op_other = 0x7fff64de6030}
:        method_op = {op_next = 0x0, op_sibling = 0x0, op_ppaddr = 0, op_targ = 112, op_type = 0, op_opt = 0, op_latefree = 0, op_latefreed = 0, op_attached = 0, op_spare = 0, op_flags = 0 '\000', op_private = 0 '\000', op_first = 0x3100000005}
:        oldmark = 0
:        retval = 0
:        oldscope = 10
:        oldcatch = 0 '\000'
:        ret = <optimized out>
:        oldop = 0x0
:        cur_env = {je_prev = 0x7fff64de6110, je_buf = {{__jmpbuf = {140734885683248, -5744871094096941291, 0, 35260800, 35413304, 35424064, 5744574048047804181, 5665705186745200405}, __mask_was_saved = 0, __saved_mask = {__val = {12, 140131897966621, 140734885683568, 4294967295, 140133464661596, 35237904, 139637976727552, 16, 0, 0, 0, 0, 4325376, 0, 140734885683168, 35237904}}}}, je_ret = 0, je_mustcatch = 0 '\000'}
:#13 0x00007f735d6669ed in Perl_call_list (my_perl=0x219b010, oldscope=8, paramList=0x21c5b88) at perl.c:4604
:        atsv = <optimized out>
:        oldline = 22
:        cv = 0x21c6920
:        len = 35416352
:        ret = <optimized out>
:        cur_env = {je_prev = 0x7fff64de6520, je_buf = {{__jmpbuf = {8, -5744871122859380971, 35413304, 35416352, 35413304, 35424064, 5744574049132031765, 5665705187009179413}, __mask_was_saved = 0, __saved_mask = {__val = {0, 35237904, 0, 140133465324937, 7, 35237904, 35547120, 35424224, 0, 35413304, 35424064, 35237904, 35547120, 35424224, 0, 8}}}}, je_ret = 0, je_mustcatch = 0 '\000'}
:#14 0x00007f735d6517b9 in S_process_special_blocks (my_perl=0x219b010, fullname=<optimized out>, gv=0x21c5d38, cv=0x21c6920) at op.c:5960
:        oldscope = 8
:        colon = <optimized out>
:        name = <optimized out>
:#15 0x00007f735d65e3d1 in Perl_newATTRSUB (my_perl=0x219b010, floor=164, o=<optimized out>, proto=<optimized out>, attrs=0x0, block=0x21c9790) at op.c:5931
:        gv = 0x21c5d38
:        ps = <optimized out>
:        ps_len = 0
:        cv = 0x21c6920
:        const_sv = <optimized out>
:        gv_fetch_flags = <optimized out>
:        name = 0x21c8740 "BEGIN"
:        has_name = 1 '\001'
:#16 0x00007f735d68ec70 in Perl_yyparse (my_perl=0x219b010) at perly.y:567
:        yystate = <optimized out>
:        yyn = 66
:        yyresult = <optimized out>
:        yytoken = 4
:        parser = 0x21c7190
:        ps = 0x21c74b0
:        yyval = <optimized out>
:#17 0x00007f735d6f9b98 in S_doeval (my_perl=0x219b010, gimme=2, startop=0x0, outside=<optimized out>, seq=0) at pp_ctl.c:3112
:        sp = <optimized out>
:        saveop = 0x21c6c00
:#18 0x00007f735d704f84 in Perl_pp_require (my_perl=0x219b010) at pp_ctl.c:3690
:        sp = <optimized out>
:        cx = 0x21a0e30
:        sv = 0x21bb760
:        name = <optimized out>
:        len = 13
:        unixname = <optimized out>
:        unixlen = 13
:        tryname = <optimized out>
:        namesv = 0x21c5ab0
:        gimme = 2
:        filter_has_file = <optimized out>
:        tryrsfp = <optimized out>
:        filter_cache = <optimized out>
:        filter_state = <optimized out>
:        filter_sub = <optimized out>
:        hook_sv = <optimized out>
:        encoding = 0x0
:        op = <optimized out>
:#19 0x00007f735d6c24c0 in Perl_runops_standard (my_perl=0x219b010) at run.c:40
:No locals.
:#20 0x00007f735d6663b3 in Perl_call_sv (my_perl=0x219b010, sv=0x21bb790, flags=14) at perl.c:2609
:        sp = <optimized out>
:        myop = {op_next = 0x0, op_sibling = 0x0, op_ppaddr = 0, op_targ = 0, op_type = 0, op_opt = 0, op_latefree = 0, op_latefreed = 0, op_attached = 0, op_spare = 0, op_flags = 66 'B', op_private = 0 '\000', op_first = 0x0, op_other = 0x7fff64de6600}
:        method_op = {op_next = 0x219b010, op_sibling = 0x21c5a68, op_ppaddr = 0x21bb790, op_targ = 140133468346501, op_type = 0, op_opt = 0, op_latefree = 0, op_latefreed = 0, op_attached = 0, op_spare = 0, op_flags = 0 '\000', op_private = 0 '\000', op_first = 0x219b010}
:        oldmark = 0
:        retval = 0
:        oldscope = 4
:        oldcatch = 0 '\000'
:        ret = <optimized out>
:        oldop = 0x0
:        cur_env = {je_prev = 0x7fff64de66e0, je_buf = {{__jmpbuf = {140734885684736, -5744871139821146347, 0, 35260800, 35412584, 35417456, 5744574049320775445, 5665705186745200405}, __mask_was_saved = 0, __saved_mask = {__val = {0, 0, 140133470484192, 140133464719362, 140133464681376, 140133470484192, 4294967296, 4294968754, 140133470484192, 140133470485048, 4294967295, 2112021646, 140734885685080, 2, 3599952, 0}}}}, je_ret = 0, je_mustcatch = 0 '\000'}
:#21 0x00007f735d6669ed in Perl_call_list (my_perl=0x219b010, oldscope=2, paramList=0x21c5a98) at perl.c:4604
:        atsv = <optimized out>
:        oldline = 20
:        cv = 0x21bb790
:        len = 16
:        ret = <optimized out>
:        cur_env = {je_prev = 0x7fff64de6a00, je_buf = {{__jmpbuf = {2, -5744871122859380971, 35412584, 35370896, 35412584, 35417456, 5744574049339649813, 5665705187009179413}, __mask_was_saved = 0, __saved_mask = {__val = {140133464649728, 140133468321682, 1, 0, 35412632, 140133464699472, 35370896, 2, 35237904, 35412584, 35370896, 140133468346501, 35417536, 35417952, 35412632, 2}}}}, je_ret = 0, je_mustcatch = 0 '\000'}
:#22 0x00007f735d6517b9 in S_process_special_blocks (my_perl=0x219b010, fullname=<optimized out>, gv=0x21c5a68, cv=0x21bb790) at op.c:5960
:        oldscope = 2
:        colon = <optimized out>
:        name = <optimized out>
:#23 0x00007f735d65e3d1 in Perl_newATTRSUB (my_perl=0x219b010, floor=25, o=<optimized out>, proto=<optimized out>, attrs=0x0, block=0x21c6d10) at op.c:5931
:        gv = 0x21c5a68
:        ps = <optimized out>
:        ps_len = 140133464694768
:        cv = 0x21bb790
:        const_sv = <optimized out>
:        gv_fetch_flags = <optimized out>
:        name = 0x21c6d70 "BEGIN"
:        has_name = 1 '\001'
:#24 0x00007f735d65ea84 in Perl_utilize (my_perl=0x219b010, aver=<optimized out>, floor=25, version=<optimized out>, idop=0x21c5820, arg=<optimized out>) at op.c:3986
:        pack = <optimized out>
:        imop = <optimized out>
:        veop = <optimized out>
:#25 0x00007f735d68eae0 in Perl_yyparse (my_perl=0x219b010) at perly.y:674
:        yystate = <optimized out>
:        yyn = 82
:        yyresult = <optimized out>
:        yytoken = 14
:        parser = 0x21c21f0
:        ps = 0x21c2528
:        yyval = <optimized out>
:#26 0x00007f735d66b127 in S_parse_body (xsinit=0x400d60 <xs_init>, env=0x0, my_perl=0x219b010) at perl.c:2164
:        rsfp = 0x21b5c80
:        dosearch = 0 '\000'
:        argc = 1
:        linestr_sv = 0x219ebd0
:        argv = 0x7fff64de6c58
:        scriptname = 0x21b59a0 "/usr/lib64/xfce4/xfconf-migration/xfconf-migration-4.6.pl"
:        c = <optimized out>
:        cddir = <optimized out>
:        add_read_e_script = <optimized out>
:#27 perl_parse (my_perl=0x219b010, xsinit=0x400d60 <xs_init>, argc=<optimized out>, argv=<optimized out>, env=0x0) at perl.c:1609
:        oldscope = 1
:        ret = <optimized out>
:        cur_env = {je_prev = 0x219b280, je_buf = {{__jmpbuf = {140734885686344, -5744875594454716651, 140133468264808, 0, 0, 0, 5744574049440313109, 5665705183355154197}, __mask_was_saved = 0, __saved_mask = {__val = {6296256, 0, 0, 0, 0, 140133468321682, 140131897966593, 0, 0, 140133464716656, 35253176, 0, 0, 4197496, 140734885686336, 140133468346501}}}}, je_ret = 0, je_mustcatch = 0 '\000'}
:#28 0x0000000000400bce in main (argc=3, argv=0x7fff64de6c48, env=0x7fff64de6c68) at perlmain.c:115
:        exitstatus = <optimized out>
:        i = <optimized out>
:From                To                  Syms Read   Shared Object Library
:0x00007f735d650050  0x00007f735d753bec  Yes         /usr/lib64/perl5/CORE/libperl.so
:0x00007f735d403840  0x00007f735d41353c  Yes         /lib64/libresolv-2.14.so
:0x00007f735d1eaff0  0x00007f735d1f87fc  Yes         /lib64/libnsl-2.14.so
:0x00007f735cfe3de0  0x00007f735cfe491c  Yes         /lib64/libdl-2.14.so
:0x00007f735cd62ea0  0x00007f735cda2e9c  Yes         /lib64/libm-2.14.so
:0x00007f735cb28c10  0x00007f735cb2dafc  Yes         /lib64/libcrypt-2.14.so
:0x00007f735c925e10  0x00007f735c92668c  Yes         /lib64/libutil-2.14.so
:0x00007f735c70f660  0x00007f735c71a3cc  Yes         /lib64/libpthread-2.14.so
:0x00007f735c38ece0  0x00007f735c4b338c  Yes         /lib64/libc-2.14.so
:0x00007f735d98eb20  0x00007f735d9a6cca  Yes         /lib64/ld-2.14.so
:0x000000351ba03170  0x000000351ba417bc  Yes         /lib64/libfreebl3.so
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x223e6d0	35907280
:rbx            0x219b010	35237904
:rcx            0x15	21
:rdx            0x619b1f8	102347256
:rsi            0x619b1f8	102347256
:rdi            0x219b010	35237904
:rbp            0x21a09d8	0x21a09d8
:rsp            0x7fff64de58a8	0x7fff64de58a8
:r8             0x7f735c705238	140133448831544
:r9             0x1dd	477
:r10            0x0	0
:r11            0x7f735c4ce550	140133446509904
:r12            0xffffffffffffffff	-1
:r13            0x3	3
:r14            0x21a0980	35260800
:r15            0x21a09d0	35260880
:rip            0x7f735d6f6543	0x7f735d6f6543 <Perl_save_vptr+3>
:eflags         0x10202	[ IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function Perl_save_vptr:
:   0x00007f735d6f6540 <+0>:	mov    %rsi,%rdx
:=> 0x00007f735d6f6543 <+3>:	mov    (%rsi),%rsi
:   0x00007f735d6f6546 <+6>:	mov    $0x1f,%ecx
:   0x00007f735d6f654b <+11>:	jmpq   0x7f735d64d8d0 <Perl_save_pushptrptr@plt>
:End of assembler dump.

build_ids:
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:3efa90a1dfea76e986419cc678c07b368c6afde2
:90fe13fac734263f663981ce4d1691cf926ced25
:d209b396f198879f49a4cce4bd445df16ab163b5
:dbe26f191fd371706b2dda27896aa30a5b22dde9
:97f231e1e13ed2976f03d04802e1fc44550d38d2
:fdc09328fea3e060c8a504a8291555b4cd19172a
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:1d87720659528ad80e8870da2b2bb4af4470cf66
:915ae7b51f851f6f0a164032ebf8aaadd13457a8
:8004fd9a60302bd0663602b5ba96d1b6bc6732ba
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

dso_list:
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313006902
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313006902
:/usr/bin/perl perl-4:5.12.4-160.fc15.x86_64 (Fedora Project) 1313006920
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1313006908
:/lib64/libcrypt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313006902
:/lib64/libutil-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313006902
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309218461
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313006902
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313006902
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313006902
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313006902
:/usr/lib64/perl5/CORE/libperl.so perl-libs-4:5.12.4-160.fc15.x86_64 (Fedora Project) 1313006916
:/lib64/libnsl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313006902

environ:
:XDG_SESSION_ID=1
:HOSTNAME=f15p64.local
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=588cbbbfeb2b39aa8b14ea480000000e-1315173264.32891-913601324
:GNOME_KEYRING_CONTROL=/tmp/keyring-lLZx2c
:IMSETTINGS_MODULE=IBus
:USER=jreiser
:USERNAME=jreiser
:MAIL=/var/spool/mail/jreiser
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/jreiser/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jreiser
:XMODIFIERS=@im=ibus
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1532
:LANG=en_US.UTF-8
:GDM_LANG=
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/jreiser
:SHLVL=1
:LOGNAME=jreiser
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-X5Ffu0r4hB,guid=b3ee7aeaace751cee5224a9400000030
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jreiser
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-jreiser-dLEyQ3/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1540,unix/unix:/tmp/.ICE-unix/1540
:ORBIT_SOCKETDIR=/tmp/orbit-jreiser
:SSH_AUTH_SOCK=/tmp/keyring-lLZx2c/ssh
:GPG_AGENT_INFO=/tmp/keyring-lLZx2c/gpg:0:1
:DESKTOP_AUTOSTART_ID=10843580b5d8fc9cc1131517326459569900000015400007

maps:
:00400000-00401000 r-xp 00000000 08:2b 264161                             /usr/bin/perl
:00601000-00602000 rw-p 00001000 08:2b 264161                             /usr/bin/perl
:0219b000-022c4000 rw-p 00000000 00:00 0                                  [heap]
:351ba00000-351ba5c000 r-xp 00000000 08:2b 1308535                        /lib64/libfreebl3.so
:351ba5c000-351bc5b000 ---p 0005c000 08:2b 1308535                        /lib64/libfreebl3.so
:351bc5b000-351bc5d000 rw-p 0005b000 08:2b 1308535                        /lib64/libfreebl3.so
:351bc5d000-351bc61000 rw-p 00000000 00:00 0 
:7f7355f4d000-7f735c370000 r--p 00000000 08:2b 279274                     /usr/lib/locale/locale-archive
:7f735c370000-7f735c4ff000 r-xp 00000000 08:2b 1308199                    /lib64/libc-2.14.so
:7f735c4ff000-7f735c6ff000 ---p 0018f000 08:2b 1308199                    /lib64/libc-2.14.so
:7f735c6ff000-7f735c703000 r--p 0018f000 08:2b 1308199                    /lib64/libc-2.14.so
:7f735c703000-7f735c704000 rw-p 00193000 08:2b 1308199                    /lib64/libc-2.14.so
:7f735c704000-7f735c70a000 rw-p 00000000 00:00 0 
:7f735c70a000-7f735c720000 r-xp 00000000 08:2b 1308792                    /lib64/libpthread-2.14.so
:7f735c720000-7f735c91f000 ---p 00016000 08:2b 1308792                    /lib64/libpthread-2.14.so
:7f735c91f000-7f735c920000 r--p 00015000 08:2b 1308792                    /lib64/libpthread-2.14.so
:7f735c920000-7f735c921000 rw-p 00016000 08:2b 1308792                    /lib64/libpthread-2.14.so
:7f735c921000-7f735c925000 rw-p 00000000 00:00 0 
:7f735c925000-7f735c927000 r-xp 00000000 08:2b 1308803                    /lib64/libutil-2.14.so
:7f735c927000-7f735cb26000 ---p 00002000 08:2b 1308803                    /lib64/libutil-2.14.so
:7f735cb26000-7f735cb27000 r--p 00001000 08:2b 1308803                    /lib64/libutil-2.14.so
:7f735cb27000-7f735cb28000 rw-p 00002000 08:2b 1308803                    /lib64/libutil-2.14.so
:7f735cb28000-7f735cb30000 r-xp 00000000 08:2b 1308558                    /lib64/libcrypt-2.14.so
:7f735cb30000-7f735cd2f000 ---p 00008000 08:2b 1308558                    /lib64/libcrypt-2.14.so
:7f735cd2f000-7f735cd30000 r--p 00007000 08:2b 1308558                    /lib64/libcrypt-2.14.so
:7f735cd30000-7f735cd31000 rw-p 00008000 08:2b 1308558                    /lib64/libcrypt-2.14.so
:7f735cd31000-7f735cd5f000 rw-p 00000000 00:00 0 
:7f735cd5f000-7f735cde2000 r-xp 00000000 08:2b 1308570                    /lib64/libm-2.14.so
:7f735cde2000-7f735cfe1000 ---p 00083000 08:2b 1308570                    /lib64/libm-2.14.so
:7f735cfe1000-7f735cfe2000 r--p 00082000 08:2b 1308570                    /lib64/libm-2.14.so
:7f735cfe2000-7f735cfe3000 rw-p 00083000 08:2b 1308570                    /lib64/libm-2.14.so
:7f735cfe3000-7f735cfe5000 r-xp 00000000 08:2b 1308568                    /lib64/libdl-2.14.so
:7f735cfe5000-7f735d1e5000 ---p 00002000 08:2b 1308568                    /lib64/libdl-2.14.so
:7f735d1e5000-7f735d1e6000 r--p 00002000 08:2b 1308568                    /lib64/libdl-2.14.so
:7f735d1e6000-7f735d1e7000 rw-p 00003000 08:2b 1308568                    /lib64/libdl-2.14.so
:7f735d1e7000-7f735d1fd000 r-xp 00000000 08:2b 1308754                    /lib64/libnsl-2.14.so
:7f735d1fd000-7f735d3fc000 ---p 00016000 08:2b 1308754                    /lib64/libnsl-2.14.so
:7f735d3fc000-7f735d3fd000 r--p 00015000 08:2b 1308754                    /lib64/libnsl-2.14.so
:7f735d3fd000-7f735d3fe000 rw-p 00016000 08:2b 1308754                    /lib64/libnsl-2.14.so
:7f735d3fe000-7f735d400000 rw-p 00000000 00:00 0 
:7f735d400000-7f735d417000 r-xp 00000000 08:2b 1308793                    /lib64/libresolv-2.14.so
:7f735d417000-7f735d617000 ---p 00017000 08:2b 1308793                    /lib64/libresolv-2.14.so
:7f735d617000-7f735d618000 r--p 00017000 08:2b 1308793                    /lib64/libresolv-2.14.so
:7f735d618000-7f735d619000 rw-p 00018000 08:2b 1308793                    /lib64/libresolv-2.14.so
:7f735d619000-7f735d61b000 rw-p 00000000 00:00 0 
:7f735d61b000-7f735d786000 r-xp 00000000 08:2b 406067                     /usr/lib64/perl5/CORE/libperl.so
:7f735d786000-7f735d985000 ---p 0016b000 08:2b 406067                     /usr/lib64/perl5/CORE/libperl.so
:7f735d985000-7f735d98e000 rw-p 0016a000 08:2b 406067                     /usr/lib64/perl5/CORE/libperl.so
:7f735d98e000-7f735d9ad000 r-xp 00000000 08:2b 1308163                    /lib64/ld-2.14.so
:7f735db8a000-7f735db91000 rw-p 00000000 00:00 0 
:7f735dbab000-7f735dbac000 rw-p 00000000 00:00 0 
:7f735dbac000-7f735dbad000 r--p 0001e000 08:2b 1308163                    /lib64/ld-2.14.so
:7f735dbad000-7f735dbae000 rw-p 0001f000 08:2b 1308163                    /lib64/ld-2.14.so
:7f735dbae000-7f735dbaf000 rw-p 00000000 00:00 0 
:7fff64dc8000-7fff64de9000 rw-p 00000000 00:00 0                          [stack]
:7fff64dff000-7fff64e00000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Jul  6 16:10:58 f15p64 yum[2561]: Updated: perl-Git-1.7.6-1.fc15.noarch
:Jul 11 15:31:53 f15p64 yum[2721]: Installed: perl-XML-RegExp-0.03-10.fc15.noarch
:Jul 11 15:31:54 f15p64 yum[2721]: Installed: perl-XML-DOM-1.44-10.fc15.noarch
:Aug 10 13:08:35 f15p64 yum[2613]: Updated: 1:perl-Pod-Escapes-1.04-160.fc15.noarch
:Aug 10 13:08:35 f15p64 yum[2613]: Updated: 1:perl-Module-Pluggable-3.90-160.fc15.noarch
:Aug 10 13:08:36 f15p64 yum[2613]: Updated: 1:perl-Pod-Simple-3.13-160.fc15.noarch
:Aug 10 13:08:36 f15p64 yum[2613]: Updated: 4:perl-libs-5.12.4-160.fc15.x86_64
:Aug 10 13:08:41 f15p64 yum[2613]: Updated: 4:perl-5.12.4-160.fc15.x86_64
:Aug 10 13:08:42 f15p64 yum[2613]: Updated: 1:perl-Digest-SHA-5.47-160.fc15.x86_64
:Aug 10 13:08:47 f15p64 yum[2613]: Updated: 1:perl-ExtUtils-ParseXS-2.2206-160.fc15.noarch
:Aug 10 13:08:47 f15p64 yum[2613]: Updated: 4:perl-devel-5.12.4-160.fc15.x86_64
:Aug 10 13:08:48 f15p64 yum[2613]: Updated: perl-ExtUtils-MakeMaker-6.56-160.fc15.noarch
:Aug 10 13:08:48 f15p64 yum[2613]: Updated: perl-Test-Harness-3.17-160.fc15.noarch
:Aug 10 13:08:49 f15p64 yum[2613]: Updated: perl-CPAN-1.9402-160.fc15.noarch
:Aug 10 13:08:52 f15p64 yum[2613]: Updated: perl-ExtUtils-Embed-1.28-160.fc15.noarch
:Sep  4 14:54:25 f15p64 kernel: [   49.623954] xfconf-migratio[1687]: segfault at 619b1f8 ip 00007f735d6f6543 sp 00007fff64de58a8 error 4 in libperl.so[7f735d61b000+16b000]
:Sep  4 14:54:25 f15p64 abrt[1694]: saved core dump of pid 1687 (/usr/bin/perl) to /var/spool/abrt/ccpp-2011-09-04-14:54:25-1687.new/coredump (1630208 bytes)

Comment 1 Kevin Fenzi 2011-09-04 22:19:01 UTC
Does this happen on every login? 

And you say "Boot to graphical multiuser Gnome3 desktop. Log in." you mean a Xfce desktop? Or are you really logging into a gnome 3 session?

Comment 2 John Reiser 2011-09-04 23:21:26 UTC
It happened exactly once, and has not happened in three subsequent tries.

Both Gnome3 and XFCE desktop are installed.  The multiuser login screen has vertical striped wall paper background which is brighter in the center.  After clicking my Username and before entering Password, then there is a rectangle showing GNOME with drop-down.  Clicking the drop-down arrow shows two choices: GNOME and XFCE Session.  GNOME is the default, and was not changed at the login which resulted in the perl crash.  I get the Gnome3 blank screen with full-width menu bar Activities on the left, digital clock in the center, various icons and my realname on the right.

Loging in to XFCE Session works, getting the background of night scene with moon, tree without leaves, two birds (the mechanical bird looks really hokey.)

The crash happened the first boot after [power off and] changing physical monitor from one with max of 1280x1024 to one with max of 1680x1050.  I didn't try repeating the change of monitor.

Comment 3 John Reiser 2011-09-05 02:31:51 UTC
Switching back to the 1280x1024 monitor [all monitor switching is done with power off] gives no crash on login, nor does switching then to the 1680x1050 monitor.  So the crash may have been a fluke, or perhaps the crash is restricted to the first instance of any new screen geometry.

Comment 4 Fedora End Of Life 2012-08-07 19:55:22 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.